Плагины, не работающие в Eclipse на Windows 7 64-разрядные

На моей новой машине Windows 7 я загрузил Eclipse (Galileo) и несколько плагинов Eclipse (плагин ADT от ADT, Subclipse и т. Д.),

После перезагрузки ни один из этих плагинов не появляется в среде IDE (ничего в настройках, меню и т. Д.), Но если я нажму «Сведения об установке» в всплывающем окне «О Eclipse», я увижу все плагины, перечисленные как Установленное программное обеспечение , (Например, Android DDMS 0.9.5, Subclipse 1.6.5 и т. Д.)

Как заставить мои плагины работать?

Solutions Collecting From Web of "Плагины, не работающие в Eclipse на Windows 7 64-разрядные"

Я установил следующее:

  • Jre-6u21-windows-x64.exe {вам нужно скачать его с помощью IE-64bit} (C: \ Program Files \ Java \ jre6)
  • Android-sdk_r06-windows.zip (C: \ Program Files \ Java \ android-sdk-windows)
  • Eclipse-jee-helios-win32-x86_64.zip (C: \ Program Files \ Eclipse)

В первый раз, когда я попробовал, у меня была такая же проблема, как и выше, – нет «Android SDK и AVD Manager» в меню «Окно», а в «Предпочтениях окна Eclipse» нет элемента «Android».

Я удалил плагин ADT и закрыл Eclipse. Затем запустили Eclipse в режиме администратора . Затем я установил ADT, закрыл и снова открыл Eclipse как обычно, и он работал: D

После некоторого врезания я понял, что когда я копировал каталоги Eclipse в файлы программ, я помещал их в 64-битный каталог, а не 32-битный (x86) .. после перемещения затмения в новый каталог и переустановки плагина, Он работает. Не уверен, что это корреляция или причинность, поэтому, возможно, кто-то с большим опытом может пролить свет на эту ситуацию.

Перемещал Eclipse на X86 и работал Спасибо, что человек раздражался

Я тоже получал эту проблему. Установка Eclipse 64 бит в C: \ Program Files \ и использование 64-разрядной JVM. Для меня проблема оказалась UAC (User Access Control). Как только я выключил это через панель управления и перезапустил, я смог правильно установить мои плагины.

Не знаю, почему Eclipse или Windows не подсказывали мне каким-то образом. Теперь включите его после установки моих плагинов.

Затмение под Program Files (а не Program Files (x86) ):

  • Должен быть 64-разрядным дистрибутивом eclipse (« Windows (x86_64) »)
  • Предназначенный для использования только с 64-битным JDK.
    На самом деле, вы не можете загрузить 64-битный дистрибутив eclipse, не указав, что вам нужна 64-разрядная JVM:

Для этой сборки требуется 64-разрядная JVM и не будет работать с 32-разрядной JVM.
Например, вы можете использовать Sun 64-bit 1.5 JVM для AMD64.
Обратите внимание, что JVM Sun 1.4.2 для AMD64 32-разрядный и поэтому не может использоваться для запуска этой сборки.

Итак: вы уверены, что имеете 64-битное затмение?
И какая java -version возвращается? (Виртуальная виртуальная машина Java HotSpot (TM)?)

Сначала проверьте окно -> Настройки -> Android существует или нет.

Если существует, просто укажите местоположение SDK в вашем местоположении sdk для Android.

Если что-то отсутствует, просто выберите Window -> Android SDK и AVD Manager, чтобы загрузить все необходимые вам sdk.

Ps Просто скачайте новый 64-битный jdk с солнца, файл с именем jdk-6u17-windows-x64.exe.

C: \ Program Files \ eclipse -> щелкните правой кнопкой мыши -> Свойства -> Безопасность -> Изменить -> Добавить … -> ваше имя пользователя -> Полный доступ -> Применить

Во время запуска Eclipse по мере того, как администратор работает, я обнаружил, что выполнение вышеописанного для себя и обычного Eclipse полного доступа на запись к папке намного лучше, поскольку вам нужно сделать это только один раз.

У меня была такая же проблема, и я решил установить Eclipse в собственный, определяемый пользователем каталог, но НЕ внутри любого из управляемых системой файлов «C: \ Program Files».